import requests
from pathlib import Path
import os

projet = os.environ["PYTEMPLATE_PROJET"]
module = os.environ["PYTEMPLATE_MODULE"]


static_dir = Path(__file__).parent / "src" / module / "frontend" / "static"
js_vendor = static_dir / "js" / "vendor"
css_vendor = static_dir / "css" / "vendor"
font_vendor = static_dir / "css" / "vendor" / "fonts"

files = [
    ("https://code.jquery.com/jquery-latest.min.js", js_vendor / "jquery.js"),
    ("https://cdn.jsdelivr.net/npm/bootstrap@latest/dist/js/bootstrap.bundle.min.js", js_vendor / "bootstrap.js"),
    ("https://cdn.jsdelivr.net/npm/bootstrap@latest/dist/css/bootstrap.min.css", css_vendor / "bootstrap.css"),
    ("https://cdn.jsdelivr.net/npm/bootstrap-icons@1.5.0/font/bootstrap-icons.css", css_vendor / "bootstrap-icons.css"),
    ("https://cdn.jsdelivr.net/npm/bootstrap-icons@1.11.1/font/fonts/bootstrap-icons.woff2", font_vendor / "bootstrap-icons.woff2"),
    ("https://cdn.jsdelivr.net/npm/bootstrap-icons@1.11.1/font/fonts/bootstrap-icons.woff", font_vendor / "bootstrap-icons.woff"),
]

for url, file in files:
    file.parent.mkdir(exist_ok=True, parents=True)
    print(f"{url} -> {file}")
    req = requests.get(url)
    if req.status_code != 200:
        print(f"Erreur {url} -> {req.status_code}")
    file.write_bytes(req.content)




